Skip to navigation

Get Abandoned Cart

Return the cart_id corresponding to the abandoned cart {token} passed in.

Usage Notes:

  • {token} is the token in the query string of the abandoned cart link found in abandoned cart email notifications to shoppers

Authentication

X-Auth-Tokenstring

OAuth scopes

UI NamePermissionParameter
Information & Settingsread-onlystore_v2_information_read_only
Information & Settingsmodifystore_v2_information

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

Path parameters

tokenstringRequiredformat: "uuid"

Unique cart UUID.

Unique cart UUID token that is generated for abandoned cart emails.

store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json

The MIME type of the response body.

Response

Returned on GET requests to /abandoned-carts/{token}.

dataobjectOptional
metaobjectOptional
Response metadata

Errors

400
Bad Request Error
404
Not Found Error
422
Unprocessable Entity Error
502
Bad Gateway Error
503
Service Unavailable Error
504
Gateway Timeout Error